Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.selector
Interface ContextSelector

All Known Subinterfaces:
  NamedContextSelector

All Known Implementing Classes:
  AsyncLoggerContextSelector, BasicContextSelector, BundleContextSelector, ClassLoaderContextSelector, JndiContextSelector

    public interface ContextSelector

Interface used to locate a LoggerContext.

Method Summary
`LoggerContext` | `getContext(String fqcn, ClassLoader loader, boolean currentContext)` Returns the LoggerContext.
`LoggerContext` | `getContext(String fqcn, ClassLoader loader, boolean currentContext, URI configLocation)` Returns the LoggerContext.
`List<LoggerContext>` | `getLoggerContexts()` Returns a List of all the available LoggerContexts.
`void` | `removeContext(LoggerContext context)` Remove any references to the LoggerContext.

Method Detail

### getContext

    LoggerContext getContext(String fqcn,
                             ClassLoader loader,
                             boolean currentContext)

  Returns the LoggerContext.

  Parameters:
    `fqcn` - The fully qualified class name of the caller.
    `loader` - ClassLoader to use or null.
    `currentContext` - If true returns the current Context, if false returns the Context appropriate for the caller if a more appropriate Context can be determined.
  Returns:
    The LoggerContext.

### getContext

    LoggerContext getContext(String fqcn,
                             ClassLoader loader,
                             boolean currentContext,
                             URI configLocation)

  Returns the LoggerContext.

  Parameters:
    `fqcn` - The fully qualified class name of the caller.
    `loader` - ClassLoader to use or null.
    `currentContext` - If true returns the current Context, if false returns the Context appropriate for the caller if a more appropriate Context can be determined.
    `configLocation` - The location of the configuration for the LoggerContext.
  Returns:
    The LoggerContext.

### getLoggerContexts

    List<LoggerContext> getLoggerContexts()

  Returns a List of all the available LoggerContexts.

  Returns:
    The List of LoggerContexts.

### removeContext

    void removeContext(LoggerContext context)

  Remove any references to the LoggerContext.

  Parameters:
    `context` - The context to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.